<div>
    <h2>
        <span jhiTranslate="mpmApp.communicationEventDelivery.home.title">Communication Event Deliveries</span>
        <button class="btn btn-primary float-right jh-create-entity create-communication-event-delivery" [routerLink]="['/', { outlets: { popup: ['communication-event-delivery-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.communicationEventDelivery.home.createLabel">
            Create new Communication Event Delivery
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.communicationEventDelivery.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="communicationEventDeliveries">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idCustomer"><span jhiTranslate="mpmApp.communicationEventDelivery.idCustomer">Id Customer</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idDealer"><span jhiTranslate="mpmApp.communicationEventDelivery.idDealer">Id Dealer</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="bussinessCode"><span jhiTranslate="mpmApp.communicationEventDelivery.bussinessCode">Bussiness Code</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="b1"><span jhiTranslate="mpmApp.communicationEventDelivery.b1">B 1</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="b2"><span jhiTranslate="mpmApp.communicationEventDelivery.b2">B 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="b3"><span jhiTranslate="mpmApp.communicationEventDelivery.b3">B 3</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="b4"><span jhiTranslate="mpmApp.communicationEventDelivery.b4">B 4</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c11Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c11Rate">C 11 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c11Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c11Reason">C 11 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c11Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c11Hope">C 11 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c12Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c12Rate">C 12 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c12Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c12Reason">C 12 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c12Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c12Hope">C 12 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c13Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c13Rate">C 13 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c13Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c13Reason">C 13 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c13Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c13Hope">C 13 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c14Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c14Rate">C 14 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c14Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c14Reason">C 14 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c14Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c14Hope">C 14 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c15Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c15Rate">C 15 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c15Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c15Reason">C 15 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c15Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c15Hope">C 15 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c16Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c16Rate">C 16 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c16Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c16Reason">C 16 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c16Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c16Hope">C 16 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c17Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c17Rate">C 17 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c17Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c17Reason">C 17 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c17Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c17Hope">C 17 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c18Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c18Rate">C 18 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c18Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c18Reason">C 18 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c18Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c18Hope">C 18 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c19Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c19Rate">C 19 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c19Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c19Reason">C 19 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c19Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c19Hope">C 19 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c110Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c110Rate">C 110 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c110Reason"><span jhiTranslate="mpmApp.communicationEventDelivery.c110Reason">C 110 Reason</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c110Hope"><span jhiTranslate="mpmApp.communicationEventDelivery.c110Hope">C 110 Hope</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c2Rate"><span jhiTranslate="mpmApp.communicationEventDelivery.c2Rate">C 2 Rate</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="c3Option"><span jhiTranslate="mpmApp.communicationEventDelivery.c3Option">C 3 Option</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="d1Name"><span jhiTranslate="mpmApp.communicationEventDelivery.d1Name">D 1 Name</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="d2Gender"><span jhiTranslate="mpmApp.communicationEventDelivery.d2Gender">D 2 Gender</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="d3Age"><span jhiTranslate="mpmApp.communicationEventDelivery.d3Age">D 3 Age</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="d4Phone"><span jhiTranslate="mpmApp.communicationEventDelivery.d4Phone">D 4 Phone</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="d5Vehicle"><span jhiTranslate="mpmApp.communicationEventDelivery.d5Vehicle">D 5 Vehicle</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="d6Education"><span jhiTranslate="mpmApp.communicationEventDelivery.d6Education">D 6 Education</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let communicationEventDelivery of communicationEventDeliveries ;trackBy: trackId">
                <td><a [routerLink]="['../communication-event-delivery', communicationEventDelivery.id ]">{{communicationEventDelivery.id}}</a></td>
                <td>{{communicationEventDelivery.idCustomer}}</td>
                <td>{{communicationEventDelivery.idDealer}}</td>
                <td>{{communicationEventDelivery.bussinessCode}}</td>
                <td>{{communicationEventDelivery.b1}}</td>
                <td>{{communicationEventDelivery.b2}}</td>
                <td>{{communicationEventDelivery.b3}}</td>
                <td>{{communicationEventDelivery.b4}}</td>
                <td>{{communicationEventDelivery.c11Rate}}</td>
                <td>{{communicationEventDelivery.c11Reason}}</td>
                <td>{{communicationEventDelivery.c11Hope}}</td>
                <td>{{communicationEventDelivery.c12Rate}}</td>
                <td>{{communicationEventDelivery.c12Reason}}</td>
                <td>{{communicationEventDelivery.c12Hope}}</td>
                <td>{{communicationEventDelivery.c13Rate}}</td>
                <td>{{communicationEventDelivery.c13Reason}}</td>
                <td>{{communicationEventDelivery.c13Hope}}</td>
                <td>{{communicationEventDelivery.c14Rate}}</td>
                <td>{{communicationEventDelivery.c14Reason}}</td>
                <td>{{communicationEventDelivery.c14Hope}}</td>
                <td>{{communicationEventDelivery.c15Rate}}</td>
                <td>{{communicationEventDelivery.c15Reason}}</td>
                <td>{{communicationEventDelivery.c15Hope}}</td>
                <td>{{communicationEventDelivery.c16Rate}}</td>
                <td>{{communicationEventDelivery.c16Reason}}</td>
                <td>{{communicationEventDelivery.c16Hope}}</td>
                <td>{{communicationEventDelivery.c17Rate}}</td>
                <td>{{communicationEventDelivery.c17Reason}}</td>
                <td>{{communicationEventDelivery.c17Hope}}</td>
                <td>{{communicationEventDelivery.c18Rate}}</td>
                <td>{{communicationEventDelivery.c18Reason}}</td>
                <td>{{communicationEventDelivery.c18Hope}}</td>
                <td>{{communicationEventDelivery.c19Rate}}</td>
                <td>{{communicationEventDelivery.c19Reason}}</td>
                <td>{{communicationEventDelivery.c19Hope}}</td>
                <td>{{communicationEventDelivery.c110Rate}}</td>
                <td>{{communicationEventDelivery.c110Reason}}</td>
                <td>{{communicationEventDelivery.c110Hope}}</td>
                <td>{{communicationEventDelivery.c2Rate}}</td>
                <td>{{communicationEventDelivery.c3Option}}</td>
                <td>{{communicationEventDelivery.d1Name}}</td>
                <td>{{communicationEventDelivery.d2Gender}}</td>
                <td>{{communicationEventDelivery.d3Age}}</td>
                <td>{{communicationEventDelivery.d4Phone}}</td>
                <td>{{communicationEventDelivery.d5Vehicle}}</td>
                <td>{{communicationEventDelivery.d6Education}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../communication-event-delivery', communicationEventDelivery.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'communication-event-delivery/'+ communicationEventDelivery.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'communication-event-delivery/'+ communicationEventDelivery.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="communicationEventDeliveries && communicationEventDeliveries.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
